Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wpvs.configuration
Class LocalWCSDataSource

    java.lang.Object
      org.deegree.ogcwebservices.wpvs.configuration.AbstractDataSource
          org.deegree.ogcwebservices.wpvs.configuration.LocalWCSDataSource

Direct Known Subclasses:
  RemoteWCSDataSource

    public class LocalWCSDataSource

extends AbstractDataSource

This class represents a local WCS dataSource object.

Author:
  Ugo Taddei, last edited by: $Author: mschneider $ $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $

Field Summary

Fields inherited from class org.deegree.ogcwebservices.wpvs.configuration.AbstractDataSource
`LOCAL_WCS, LOCAL_WFS, LOCAL_WMS, REMOTE_WCS, REMOTE_WFS, REMOTE_WMS, SERVICE_TYPE_TO_NAME`

Constructor Summary
`LocalWCSDataSource(QualifiedName name, OWSCapabilities owsCapabilities, Surface validArea, double minScaleDenominator, double maxScaleDenominator, GetCoverage filterCondition, Color[] transparentColors)` Creates a new `LocalWCSDataSource` object from the given parameters.

Method Summary
`double` | `getConfiguredMinimalDGMResolution()`
`GetCoverage` | `getCoverageFilterCondition()` The `filterCondition` is a GetCoverage object which extends the WCSRequestBase.
`String` | `getDefaultFormat()`
`OGCWebService` | `getOGCWebService()` Returns an instance of the `OGCWebService` that represents the datasource.
`Color[]` | `getTransparentColors()`
`void` | `setConfiguredMinimalDGMResolution(double configuredMinimalDGMResolution)`
`String` | `toString()`

Methods inherited from class org.deegree.ogcwebservices.wpvs.configuration.AbstractDataSource
`getFilterCondition, getMaxScaleDenominator, getMinScaleDenominator, getName, getOwsCapabilities, getServiceType, getValidArea, setServiceType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocalWCSDataSource

    public LocalWCSDataSource(QualifiedName name,
                              OWSCapabilities owsCapabilities,
                              Surface validArea,
                              double minScaleDenominator,
                              double maxScaleDenominator,
                              GetCoverage filterCondition,
                              Color[] transparentColors)

  Creates a new `LocalWCSDataSource` object from the given parameters.

  Parameters:
    `name` -
    `owsCapabilities` -
    `validArea` -
    `minScaleDenominator` -
    `maxScaleDenominator` -
    `filterCondition` - a base request //TODO give an example
    `transparentColors` -

Method Detail

### getCoverageFilterCondition

    public GetCoverage getCoverageFilterCondition()

  The `filterCondition` is a GetCoverage object which extends the WCSRequestBase.

  Returns:
    Returns the filterCondition as a GetCoverage object.

### getTransparentColors

    public Color[] getTransparentColors()

  Returns:
    Returns the transparentColors.

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractDataSource`

### getOGCWebService

    public OGCWebService getOGCWebService()
                                   throws OGCWebServiceException

  Description copied from class: `AbstractDataSource`
  Returns an instance of the `OGCWebService` that represents the datasource. Notice: if more than one datasets uses data that are offered by the same OWS, deegree WPVS will use just one instance for accessing the OWS

  Specified by:
    `getOGCWebService` in class `AbstractDataSource`
  Returns:
    an OGCWebService which represents this datasource
  Throws:
    `OGCWebServiceException`
  See Also:
    `AbstractDataSource.getOGCWebService()`

### getConfiguredMinimalDGMResolution

    public double getConfiguredMinimalDGMResolution()

  Returns:
    the configuredMinimalDGMResolution.

### setConfiguredMinimalDGMResolution

    public void setConfiguredMinimalDGMResolution(double configuredMinimalDGMResolution)

  Parameters:
    `configuredMinimalDGMResolution` - An other configuredMinimalDGMResolution value.

### getDefaultFormat

    public final String getDefaultFormat()

  Returns:
    the defaultFormat to be used for GetCoverage requests

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org